import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { EmployeeDetail, CardsResponse, EmployeeFind, HistoryResponse, Result, File } from '../__generated__/types';
export declare class EmployeesApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getEmployee(employeeId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<EmployeeDetail>;
    getEmployeeCards(employeeId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<CardsResponse>;
    getEmployeeCardsHistory(employeeId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<HistoryResponse>;
    postEmployeesFind(config?: AxiosRequestConfig): import("axios").AxiosPromise<EmployeeFind>;
    postEmployeesImport(clientId: string, body: File, config?: AxiosRequestConfig): import("axios").AxiosPromise<Result>;
}
