import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { MerchantsResponse, MerchantsSearch, MerchantDetail, MerchantsSearchClustering, MerchantsSearchClusteringResult } from '../__generated__/types';
export declare class MerchantsApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getMerchants(config?: AxiosRequestConfig): import("axios").AxiosPromise<MerchantsResponse>;
    getMerchant(merchantId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<MerchantDetail>;
    postMerchantsSearch(body: MerchantsSearch, config?: AxiosRequestConfig): import("axios").AxiosPromise<MerchantsResponse>;
    postMerchantsSearchClustering(body: MerchantsSearchClustering, config?: AxiosRequestConfig): import("axios").AxiosPromise<MerchantsSearchClusteringResult[]>;
}
