import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { TokenRequest, ForgotPasswordBody, ResetPassword } from '../__generated__/types';
export declare class AuthApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    postToken(body: TokenRequest, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    postForgotPassword(body: ForgotPasswordBody, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    postResetPassword(body: ResetPassword, config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
    postLogout(config?: AxiosRequestConfig): Promise<import("axios").AxiosResponse<any>>;
}
