import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { MerchantTypesResponse, NotificationTypesResponse, TransactionTypesResponse, CountriesResponse, Country, DocumentTypesResponse, DocumentCategoryTypesResponse, DocumentContractTypesResponse, DeliveryTypesResponse } from '../__generated__/types';
export declare class CodeListsApi {
    api: AxiosInstance;
    constructor(api?: AxiosInstance);
    getMerchantTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<MerchantTypesResponse>;
    getNotificationTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<NotificationTypesResponse>;
    getTransactionTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<TransactionTypesResponse>;
    getDocumentTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<DocumentTypesResponse>;
    getCountries(config?: AxiosRequestConfig): import("axios").AxiosPromise<CountriesResponse>;
    getCountry(countryId: string, config?: AxiosRequestConfig): import("axios").AxiosPromise<Country>;
    getDocumentCategoryTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<DocumentCategoryTypesResponse>;
    getDocumentContractTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<DocumentContractTypesResponse>;
    getDeliveryTypes(config?: AxiosRequestConfig): import("axios").AxiosPromise<DeliveryTypesResponse>;
}
