import { AxiosResponse, AxiosPromise } from 'axios';
declare type UnAxiosify<T> = T extends AxiosResponse<infer U> ? U : T;
declare type UnPromisify<T> = T extends AxiosPromise<infer U> ? U : T;
export declare type Unwrap<T extends (...args: any[]) => any> = UnPromisify<UnAxiosify<ReturnType<T>>>;
export {};
